!!com.aptana.scripting.model.BundleElement
author: Christopher Williams
children:
- !!com.aptana.scripting.model.MenuElement
  children:
  - children: &id001 []
    commandName: 十进制转十六进制
    customProperties: null
    displayName: 十进制转十六进制
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  commandName: transfer.ruby.math.decimal_to_hex
  customProperties: null
  displayName: transfer.ruby.math.decimal_to_hex
  id: null
  locationURI: null
  path: bundle.rb
  scope: null
- !!com.aptana.scripting.model.MenuElement
  children:
  - children: *id001
    commandName: 十进制转八进制
    customProperties: null
    displayName: 十进制转八进制
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  commandName: transfer.ruby.math.decimal_to_octal
  customProperties: null
  displayName: transfer.ruby.math.decimal_to_octal
  id: null
  locationURI: null
  path: bundle.rb
  scope: null
- !!com.aptana.scripting.model.MenuElement
  children:
  - children: *id001
    commandName: 十六进制转十进制
    customProperties: null
    displayName: 十六进制转十进制
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  commandName: transfer.ruby.math.hex_to_decimal
  customProperties: null
  displayName: transfer.ruby.math.hex_to_decimal
  id: null
  locationURI: null
  path: bundle.rb
  scope: null
- !!com.aptana.scripting.model.MenuElement
  children:
  - children: *id001
    commandName: 八进制转十进制
    customProperties: null
    displayName: 八进制转十进制
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  commandName: transfer.ruby.math.octal_to_decimal
  customProperties: null
  displayName: transfer.ruby.math.octal_to_decimal
  id: null
  locationURI: null
  path: bundle.rb
  scope: null
- !!com.aptana.scripting.model.MenuElement
  children:
  - children: *id001
    commandName: Evaluate Line / Selection
    customProperties: null
    displayName: Evaluate Line / Selection
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: Evaluate and Replace Expression
    customProperties: null
    displayName: Evaluate and Replace Expression
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: Evaluate and Replace Expression (rounded)
    customProperties: null
    displayName: Evaluate and Replace Expression (rounded)
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: '-'
    customProperties: null
    displayName: '-'
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: Add Numbers in Line / Selection
    customProperties: null
    displayName: Add Numbers in Line / Selection
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: Subtract Numbers in Line / Selection
    customProperties: null
    displayName: Subtract Numbers in Line / Selection
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: '-'
    customProperties: null
    displayName: '-'
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children:
    - children: *id001
      commandName: 十进制转十六进制
      customProperties: null
      displayName: 十进制转十六进制
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    - children: *id001
      commandName: 十进制转八进制
      customProperties: null
      displayName: 十进制转八进制
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    - children: *id001
      commandName: 十六进制转十进制
      customProperties: null
      displayName: 十六进制转十进制
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    - children: *id001
      commandName: 八进制转十进制
      customProperties: null
      displayName: 八进制转十进制
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    commandName: 转进制
    customProperties: null
    displayName: 转进制
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: '-'
    customProperties: null
    displayName: '-'
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: Send Line / Selection to Google Calculator
    customProperties: null
    displayName: Send Line / Selection to Google Calculator
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  commandName: Math
  customProperties: null
  displayName: Math
  id: null
  locationURI: null
  path: bundle.rb
  scope: null
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Add Numbers in Line / Selection
  id: null
  input: [selection, line]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: insert_as_text
  path: commands\add_selected_numbers.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: 十进制转十六进制
  id: null
  input: [selection, word]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: replace_selection
  path: commands\decimal_to_hex.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: 十进制转八进制
  id: null
  input: [selection, word]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: replace_selection
  path: commands\decimal_to_octal.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Evaluate and Replace Expression
  id: null
  input: [selection, line]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: replace_selection
  path: commands\evaluate_and_replace_expression.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Evaluate Line / Selection
  id: null
  input: [selection, line]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: insert_as_text
  path: commands\evaluate_expression.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Evaluate and Replace Expression (rounded)
  id: null
  input: [selection, line]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: replace_selection
  path: commands\evaluate_round_and_replace_expression.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: 十六进制转十进制
  id: null
  input: [selection, word]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: replace_selection
  path: commands\hex_to_decimal.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: 八进制转十进制
  id: null
  input: [selection, word]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: replace_selection
  path: commands\octal_to_decimal.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Send Line / Selection to Google Calculator
  id: null
  input: [selection, line]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: replace_selection
  path: commands\send_to_google_calculator.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Subtract Numbers in Line / Selection
  id: null
  input: [selection, line]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: insert_as_text
  path: commands\subtract_selected_numbers.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
copyright: Copyright 2010 Aptana Inc. Distributed under the MIT license.
customProperties: null
decreaseIndentMarkers: &id002 {}
description: Support for performing different calculations, ported from TextMate.
displayName: Math
fileTypeRegistry: *id002
fileTypes: *id001
foldingStartMarkers: *id002
foldingStopMarkers: *id002
increaseIndentMarkers: *id002
license: null
licenseUrl: null
path: bundle.rb
repository: git://github.com/aptana/math.ruble.git
visible: true
